Skip to main content
POST
/
api
/
v1
/
sources
Ingest Sources
curl --request POST \
  --url https://api.example.com/api/v1/sources \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "space_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "sources": [
    {
      "content": "<string>",
      "content_type": "text",
      "role": "<string>",
      "sequence": 0,
      "meta": {}
    }
  ]
}
'
{
  "job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "source_ids": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "status": "pending"
}

Documentation Index

Fetch the complete documentation index at: https://docs.crosmos.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT access token or API key (csk_…)

Body

application/json
space_id
string<uuid>
required

Memory space to ingest into

sources
SourcePayload · object[]
required

Array of source payloads to ingest

Required array length: 1 - 100 elements

Response

Successful Response

job_id
string<uuid>
required
source_ids
string<uuid>[]
required
status
string
default:pending